% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/barplotCounts.R
\name{barplotCounts}
\alias{barplotCounts}
\alias{barplotCounts,SilacProteinExperiment-method}
\alias{barplotCounts,SilacPeptideExperiment-method}
\alias{barplotCounts,SilacProteomicsExperiment-method}
\title{Number of detected features per sample}
\usage{
barplotCounts(x, ...)

\S4method{barplotCounts}{SilacProteinExperiment}(x, assayName, returnDataFrame = FALSE, conditionCol)

\S4method{barplotCounts}{SilacPeptideExperiment}(x, assayName, returnDataFrame = FALSE, conditionCol)

\S4method{barplotCounts}{SilacProteomicsExperiment}(x, assayName, returnDataFrame = FALSE, conditionCol)
}
\arguments{
\item{x}{A \code{SilacProteinExperiment}, \code{SilacPeptideExperiment} or a
\code{SilacProteomicsExperiment} object.}

\item{...}{Unused.}

\item{assayName}{Name of the assay to use in the plot.}

\item{returnDataFrame}{A \code{logical} indicating if the \code{data.frame}
used for the plot should be returned instead.}

\item{conditionCol}{A \code{character}, which indicates the column name
in colData(x) that defines the different experiment conditions.}
}
\value{
A ggplot2 barplot object or a \code{data.frame}.
}
\description{
How many proteins/peptides are detected in each sample.
\code{NA} are considered missing values.
}
\examples{
data('wormsPE')
barplotCounts(wormsPE, assayName = 'ratio')

}
